{ ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
    ../../features/telemetry
  ];

  networking.hostName = "git";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  services.forgejo = {
    enable = true;
    lfs = {
      enable = true;
    };
    settings = {
      database = {
        DB_TYPE = "sqlite3";
      };
      server = {
        DOMAIN = "git.sapphic.engineer";
        ROOT_URL = "https://git.sapphic.engineer";
      };
      service = {
        SSH_DOMAIN = "git.hoki-porgy.ts.net";
        DISABLE_REGISTRATION = true;
      };
      "cron.gc_lfs" = {
        ENABLED = true;
        RUN_AT_START = true;
      };
      "cron.git_gc_repos" = {
        ENABLED = true;
        RUN_AT_START = true;
      };
    };
  };
}
